Announcement

Collapse
No announcement yet.

I now have 2 errors with beta 5.

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • I now have 2 errors with beta 5.

    i checked all the links in my site and it only happens when viewing the FORUM index itself as a user NOT LOGGED IN. when i log in, everything is ok.

    here is the first error at the very top of the page:

    Warning: array_merge() [function.array-merge]: Argument #2 is not an array in /index.php(539) : eval()'d code on line 137
    the second error shows up directly in the middle of the same page:

    Unable to add cookies, header already sent.
    File: /home/spg12/public_html/forum/includes/class_core.php
    Line: 3177
    what happened and how do i fix?
    sigpic

  • #2
    Are you using a custom skin? Try it with the default and see if you still get the error.

    Edit: Checked your site, you are. Try reverting the headinclude template.
    http://www.metalmusicians.org

    Comment


    • #3
      You might also disable your plugins one by one to see which is causing this top error.

      Comment


      • #4
        This is line 539 of index.php:
        ($hook = vBulletinHook::fetch_hook('forumhome_complete')) ? eval($hook) : false;


        So, you have a plugin using the forumhome_complete hook that is causing the problem. Find the plugin, fix it, and the error will go away.

        An article to help with the array_merge issue: http://www.vbulletin.org/forum/showt...ht=array_merge

        Please don't PM or VM me for support - I only help out in the threads.
        vBulletin Manual & vBulletin 4.0 Code Documentation (API)
        Want help modifying your vbulletin forum? Head on over to vbulletin.org
        If I post CSS and you don't know where it goes, throw it into the additional.css template.

        W3Schools <- awesome site for html/css help

        Comment


        • #5
          wow thanks you guys...im surprised so many have offered to help.

          im at work soi cant do much at the moment, but i already tried disabling the plugins and it was still there.

          but since one of you mentioned the headinclude template, i think i did something with that just last night so i'll def check that out.

          as far as a default skin, i dont have one.
          sigpic

          Comment


          • #6
            still no fix. the reason it's happening is because i was told to put:

            AddType application/x-httpd-php5 .php
            into my htaccess file because i am indeed running php 5 but cpanel doesnt reflect that and the youtube software i installed requires php 5.

            i just removed that line from my htaccess and everything is working fine again.
            sigpic

            Comment


            • #7
              I had a similar problem with a product i installed. I got some helpful information on this thread. Worth a read. Glad things are normal for your forum again.

              Comment


              • #8
                ya that's the same thread the other guy referred me too, but as i posted in THAT thread, it doesnt help me at all when they dont say where exactly to find this array var because everywhere i looked on the affected files/plugins there was no such code he put in his thread.
                sigpic

                Comment


                • #9
                  It is a problem with a third party addon, you should try asking for help from the author or vBulletin.org

                  Comment


                  • #10
                    Place this line in the htaccess file in public_html. This is what my host suggested to add to make scripts that needed to run php5 only to work.
                    Code:
                    AddHandler application/x-httpd-php5 .php

                    Comment


                    • #11
                      ok jose, i'll try yours. it's slightly diff from the one i used. brb.
                      sigpic

                      Comment


                      • #12
                        nope, same thing.
                        sigpic

                        Comment


                        • #13
                          Plugin/Hook System
                          • Option two(1) Done,Admin Control Panel > vBulletin Options > vBulletin Options > Plugin/Hook System
                          • Option two(2), try editing file in includes/config.php and then move any custom modification files from folder includes/xml/
                            Code:
                            define('DISABLE_HOOKS', true);

                          Comment


                          • #14
                            what am i supposed to do with that? i dont want to disable my hacks.

                            i already know it's the youtube integration, it requires php5 (which i have, but cpanel doesnt recognize) and so i had to put that line of code in my htaccess so it would recognize it and run the youtube integration, but it doesnt jive with the forum itself.
                            sigpic

                            Comment


                            • #15
                              The problem is caused by your modifications, further discussion should be done at vBulletin.org.

                              Comment

                              widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                              Working...
                              X